summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2019-08-13 13:18:06 +0200
committerMichał Górny <mgorny@gentoo.org>2019-08-13 14:10:39 +0200
commit2073f9b9314fc8d9d22eb180bade61fbd5521d56 (patch)
tree5fa8537fc700a07b93c2dc057f66c9d57a2db81c
parentx11-libs/wxGTK: ppc64 stable wrt bug #691936 (diff)
downloadgentoo-2073f9b9314fc8d9d22eb180bade61fbd5521d56.tar.gz
gentoo-2073f9b9314fc8d9d22eb180bade61fbd5521d56.tar.bz2
gentoo-2073f9b9314fc8d9d22eb180bade61fbd5521d56.zip
x11-misc/gigolo: Bump to 0.5.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--x11-misc/gigolo/Manifest1
-rw-r--r--x11-misc/gigolo/gigolo-0.5.0.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/x11-misc/gigolo/Manifest b/x11-misc/gigolo/Manifest
index 662c21c6b23..1273602a44c 100644
--- a/x11-misc/gigolo/Manifest
+++ b/x11-misc/gigolo/Manifest
@@ -1,2 +1,3 @@
DIST gigolo-0.4.2.tar.bz2 243877 BLAKE2B 7536d8fc1a10abb465b2150785f593c88b4d0a40fc76e1f88388a1631f874ccf0169dec9328b1051c39d6334257c765b409aefeb008a4dfd30bdd9e61d43d269 SHA512 d6d8c65674097fb3eae586e4c71b0f36ba64df00b2ac84c32bd83cfb0fd690ae998c22cea02194acd1f018cdfd01b42f840867425ed183fb0ad98c8d97859532
DIST gigolo-0.4.91.tar.bz2 248666 BLAKE2B e258e494b4260158df4db4d3c6cea813667122a2b57059a71c35338d879a191264f8ed315bf686cb48fa3879ecf0f37c170852fb731f81020a69ee2dbaa71e1d SHA512 35cad4a072980ca688d414ae14c85c9463364c44dbccd0a3286a8fa767135cab24577ec6ca66dcd9f32263d04ea4ea4ada4330f849911ab3289ac9e6dd45583d
+DIST gigolo-0.5.0.tar.bz2 246473 BLAKE2B 23459a57467fefcc13c61483397837da51294fe7945619e0580b034dac14da192acb349b2334669f35ec43e1e421664b1765fb1e51164d7dca76769f27cef075 SHA512 5f33f24169c2a8e3a450926668e4611aa0a9c669edb6ef6e53bccd77228ac78b40c4916eb4a20afcd9d5d7e32373e8f13fd1cf43366e65166a9ef09366c9703b
diff --git a/x11-misc/gigolo/gigolo-0.5.0.ebuild b/x11-misc/gigolo/gigolo-0.5.0.ebuild
new file mode 100644
index 00000000000..697b86b3016
--- /dev/null
+++ b/x11-misc/gigolo/gigolo-0.5.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit xdg-utils
+
+DESCRIPTION="a frontend to easily manage connections to remote filesystems using GIO/GVfs"
+HOMEPAGE="https://www.uvena.de/gigolo/ https://goodies.xfce.org/projects/applications/gigolo"
+SRC_URI="https://archive.xfce.org/src/apps/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=">=dev-libs/glib-2.16
+ >=x11-libs/gtk+-3.14:3"
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ virtual/pkgconfig"
+
+src_prepare() {
+ rm COPYING || die
+ default
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+}